org.apache.commons.math3.ode

## Interface ParameterizedODE

All Superinterfaces:
  Parameterizable

All Known Implementing Classes:
  ParameterizedWrapper

    public interface ParameterizedODE
    extends Parameterizable

Interface to compute by finite difference Jacobian matrix for some parameter when computing `partial derivatives equations`.

Since:
  3.0
Version:
  $Id: ParameterizedODE.java 1416643 2012-12-03 19:37:14Z tn $

### Method Summary

Methods
`double` `getParameter(String name)` Get parameter value from its name.
`void` `setParameter(String name, double value)` Set the value for a given parameter.

### Methods inherited from interface org.apache.commons.math3.ode.Parameterizable

`getParametersNames, isSupported`

### Method Detail

#### getParameter

    double getParameter(String name)
                        throws UnknownParameterException

Get parameter value from its name.

Parameters:
  `name` - parameter name
Returns:
  parameter value
Throws:
  `UnknownParameterException` - if parameter is not supported

#### setParameter

    void setParameter(String name,
                    double value)
                      throws UnknownParameterException

Set the value for a given parameter.

Parameters:
  `name` - parameter name
  `value` - parameter value
Throws:
  `UnknownParameterException` - if parameter is not supported